from collections import namedtuple

Company = namedtuple('Company', 'id, url, media_id, type_id, region_id')
# 'http://www.mobihealthnews.com/tag/apple'
# 'http://www.mobihealthnews.com/tag/clover-health'
# 'http://www.mobihealthnews.com/tag/MedTronic'


class CompanyMaker:
    def __init__(self, companies=None):
        # self.in_site = ['http://www.mobihealthnews.com/tag/Twitter', 'http://www.mobihealthnews.com/tag/intel',
        #                 'http://www.mobihealthnews.com/tag/ibm', 'http://www.mobihealthnews.com/tag/Salesforce',
        #                 'http://www.mobihealthnews.com/tag/google']
        self.in_site = companies
        self.companies = list()

    def make_companies(self):
        self._make_list()

    def get_companies(self):
        return self.companies

    def _make_list(self):
        for i in self.in_site:
            tag = i.name
            if tag.find(' '):
                tag = tag.replace(' ', '-')
            if tag.find('.'):
                tag = tag.replace('.', '')
            self.companies.append(Company(i.id, 'http://www.mobihealthnews.com/tag/' + tag, 43, 2, 2))
