from django.db import models

class News(models.Model):

    title = models.CharField(max_length=255)
    url = models.TextField(max_length=2083)
    description = models.TextField()
    media_id = models.IntegerField()
    type_id = models.IntegerField()
    region_id = models.IntegerField()
    post_id = models.BigIntegerField()
    publish_date = models.DateTimeField()
    record_date = models.DateTimeField()

    company_id = models.BigIntegerField()
    is_accepted = models.BooleanField(default=False)

    class Meta:
        db_table = 'wp_esi_news_accept'
