from django.shortcuts import render
from django.views.generic import ListView, DetailView

from .models import News, WpEsiNews, WpEsiNewsEntity


class ListNewsView(ListView):
    template_name = 'list_news.html'

    def get(self, request, *args, **kwargs):
        news = News.objects.all().order_by('id')
        return render(request, self.template_name, {'news': news})


class DetailNewsView(DetailView):
    template_name = 'single_news.html'

    def get(self, request, *args, **kwargs):
        return render(request, self.template_name)